lkml.org 
[lkml]   [2010]   [Mar]   [4]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [git pull] drm request 3


On Thu, 4 Mar 2010, Jesse Barnes wrote:
>
> If marking the driver as staging doesn't allow them to break ABI when
> they need to, then it seems like they'll have no choice but to either
> remove the driver from upstream and only submit it when the ABI is
> stable, or fork the driver and submit a new one only when the ABI is
> stable. Neither seem particularly attractive.

The thing is, they clearly didn't even _try_ to make anything compatible.
See how all the ioctl numbers were moved around.

And if you can't make if backwards compatible, at least you should make it
forwards-compatible. Is it even that? I don't know. I'm kind of afraid it
isn't. The new libdrm required for it certainly hasn't been pushed to
Fedora-12. Will it ever be? And if it is, can you still run an old kernel
on it?

All of these are always possible to do. We've been _very_ good at doing
them in general. I'm complaining, because let's face it, what else can I
do?

And btw, I'd complain about breaking backwards compatibility even if it
wasn't just my own machine. I can pretty much guarantee that I'm not going
to be the only one hitting this issue.

So practically speaking: what _do_ you suggest we do about all the
regressions this will cause?

Linus


\
 
 \ /
  Last update: 2010-03-04 20:11    [W:0.137 / U:4.388 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site